com.io7m.jstructural.annotated

## Interface SASegmentsReadable

- All Known Implementing Classes:
    SADocument, SADocumentWithParts, SADocumentWithSections

      public interface SASegmentsReadable

  Readable interface to the set of segments in the given document.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SASegmentNumber` | `segmentGetFirst()`
    `com.io7m.jaux.functional.Option<SASegmentNumber>` | `segmentGetNext(SASegmentNumber n)`
    `com.io7m.jaux.functional.Option<SASegmentNumber>` | `segmentGetPrevious(SASegmentNumber n)`
    `com.io7m.jaux.functional.Option<SASegmentNumber>` | `segmentGetUp(SASegmentNumber n)`

- - ### Method Detail

    - #### segmentGetFirst

          SASegmentNumber segmentGetFirst()

      Returns:
        The number of the first segment

    - #### segmentGetNext

          com.io7m.jaux.functional.Option<SASegmentNumber> segmentGetNext(@Nonnull
                                                                        SASegmentNumber n)
                                                                          throws com.io7m.jaux.Constraints.ConstraintError

      Parameters:
        `n` - The current segment
      Returns:
        The number of the next segment (if any)
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If any parameter is `null`

    - #### segmentGetPrevious

          com.io7m.jaux.functional.Option<SASegmentNumber> segmentGetPrevious(@Nonnull
                                                                            SASegmentNumber n)
                                                                              throws com.io7m.jaux.Constraints.ConstraintError

      Parameters:
        `n` - The current segment
      Returns:
        The number of the previous segment (if any)
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If any parameter is `null`

    - #### segmentGetUp

          com.io7m.jaux.functional.Option<SASegmentNumber> segmentGetUp(@Nonnull
                                                                      SASegmentNumber n)
                                                                        throws com.io7m.jaux.Constraints.ConstraintError

      Parameters:
        `n` - The current segment
      Returns:
        The number of the parent segment (if any)
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If any parameter is `null`

Copyright © 2014. All rights reserved.